Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## morfologik.tools
Class BaseCommandLineTool

    java.lang.Object
      morfologik.tools.BaseCommandLineTool

Direct Known Subclasses:
  FSADumpTool, LametyzatorTool, StempelatorTool

    public abstract class BaseCommandLineTool

extends java.lang.Object

Base class for command-line applications.

Field Summary
`protected org.apache.commons.cli.Options` | `cliOptions` Command line options.
`protected java.util.logging.Logger` | `logger` Logger for the application.

Constructor Summary
`BaseCommandLineTool()`

Method Summary
`protected java.util.logging.Logger` | `getLogger()` Returns the logger for this class.
`protected abstract void` | `go(org.apache.commons.cli.CommandLine line)` Override and write your stuff using command line options.
`protected void` | `go(java.lang.String[] args)` Initializes application context.
`protected abstract void` | `initializeOptions(org.apache.commons.cli.Options options)` Override and initialize options.
`protected void` | `printUsage()` Prints usage (options).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final java.util.logging.Logger logger

  Logger for the application.

### cliOptions

    protected final org.apache.commons.cli.Options cliOptions

  Command line options.

Constructor Detail

### BaseCommandLineTool

    public BaseCommandLineTool()

Method Detail

### go

    protected final void go(java.lang.String[] args)

  Initializes application context.

### printUsage

    protected void printUsage()

  Prints usage (options).

### go

    protected abstract void go(org.apache.commons.cli.CommandLine line)
                        throws java.lang.Exception

  Override and write your stuff using command line options.

  Throws:
    `java.lang.Exception`

### initializeOptions

    protected abstract void initializeOptions(org.apache.commons.cli.Options options)

  Override and initialize options.

### getLogger

    protected final java.util.logging.Logger getLogger()

  Returns the logger for this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD